%define	name	smake
%define	version	1.3.0
%define	release	1
%define	serial	1

Summary:	SMake -- Makefile generator.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Development/Building
URL:		http://www.engelschall.com/sw/smake
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Source:		%{name}-%{version}.tar.gz
Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

BuildRoot:	/tmp/%{name}-%{version}
Requires:	perl >= 5.004
BuildArch:	noarch

%description
 SMake is a powerful mechanism to generate standard Makefiles out of skeleton
 Makefiles which only provide the essential parts. The missing stuff gets
 automatically filled in by shared include files. A great scheme to create a
 huge Makefile hierarchy and to keep it consistent for the time of
 development. The trick is that it merges the skeleton and the templates in
 a priority-driven way. The idea is taken from X Consortiums Imake, but the
 goal here is not inherited system independency, the goal is consistency and
 power without the need of manually maintaining a Makefile hierarchy. 

%prep
%setup -q
./configure --prefix=/usr

%build
make

%install
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
make prefix=$RPM_BUILD_ROOT/usr install

%clean
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc sample COPYING ChangeLog LICENSE README
/usr/bin/smake
/usr/bin/smkmf
/usr/man/man1/smake.1
/usr/man/man1/smkmf.1
/usr/lib/smake

%changelog
* Wed May  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [smake-1.3.0-1]
- Initial RPM Build.

